package com.ruoyi.warehouseBusiness.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TWareHouseExcelItems {

    /** 提单号 */
    @Excel(name = "序号")
    private String fId;

    /** 提单号 */
    @Excel(name = "提单号")
    private String fMblno;

    /** 类型 */
    @Excel(name = "类型")
    private String fBilltype;

    /** 货名 */
    @Excel(name = "货名")
    private String fGoodsid;

    /** 品牌 */
    @Excel(name = "品牌")
    private String fMarks;

    /** 重量 */
    @Excel(name = "重量")
    private BigDecimal fBillingQty;

    /** 业务日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /** 出库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate1;

    /** 堆存天数 */
    @Excel(name = "堆存天数")
    private Long fInventoryDays;

    /** 计费天数 */
    @Excel(name = "计费天数")
    private Long fBillingDays;

    /** 货物堆存费 */
    @Excel(name = "货物堆存费")
    private BigDecimal fAmt;

    /** 装卸费 */
    @Excel(name = "装卸费")
    private BigDecimal fAmt1;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal fAmt2;


    public void setfId(String fId)
    {
        this.fId = fId;
    }

    public String getfId()
    {
        return fId;
    }
    public void setfMblno(String fMblno)
    {
        this.fMblno = fMblno;
    }

    public String getfMblno()
    {
        return fMblno;
    }
    public void setfBilltype(String fBilltype)
    {
        this.fBilltype = fBilltype;
    }

    public String getfBilltype()
    {
        return fBilltype;
    }
    public void setfGoodsid(String fGoodsid)
    {
        this.fGoodsid = fGoodsid;
    }

    public String getfGoodsid()
    {
        return fGoodsid;
    }
    public void setfMarks(String fMarks)
    {
        this.fMarks = fMarks;
    }

    public String getfMarks()
    {
        return fMarks;
    }
    public void setfBillingQty(BigDecimal fBillingQty)
    {
        this.fBillingQty = fBillingQty;
    }

    public BigDecimal getfBillingQty()
    {
        return fBillingQty;
    }
    public void setfBsdate(Date fBsdate)
    {
        this.fBsdate = fBsdate;
    }

    public Date getfBsdate()
    {
        return fBsdate;
    }
    public void setfInventoryDays(Long fInventoryDays)
    {
        this.fInventoryDays = fInventoryDays;
    }

    public Long getfInventoryDays()
    {
        return fInventoryDays;
    }
    public void setfBillingDays(Long fBillingDays)
    {
        this.fBillingDays = fBillingDays;
    }

    public Long getfBillingDays()
    {
        return fBillingDays;
    }
    public void setfAmt(BigDecimal fAmt)
    {
        this.fAmt = fAmt;
    }

    public BigDecimal getfAmt()
    {
        return fAmt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fMblno", getfMblno())
                .append("fBilltype", getfBilltype())
                .append("fGoodsid", getfGoodsid())
                .append("fMarks", getfMarks())
                .append("fBillingQty", getfBillingQty())
                .append("fBsdate", getfBsdate())
                .append("fInventoryDays", getfInventoryDays())
                .append("fBillingDays", getfBillingDays())
                .append("fAmt", getfAmt())
                .toString();
    }

}
